# Screen brightness

A decision block that checks the screen brightness settings.

If the proceed option is set to Immediately, then check the current brightness settings without pausing the fiber. If set to When changed, then the fiber will pause until the brightness settings has changed.

If both minimum brightness and maximum brightness is set and doesn’t evaluate to `null` then the brightness must be within the range. If only minimum is set, then the level must be greater than or equal to it. If only maximum is set, then the level must be less than or equal to it. If none of the input arguments are set, then the current settings is just assigned to current automatic and current brightness variables without a check.

Note! Android 6 contains a bug which prevents access to the current adjustment value.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Automatic — whether screen brightness should be automatically adjusted.
- Minimum brightness — minimum screen brightness in percent.
- Maximum brightness — maximum screen brightness in percent.
- Scale — screen brightness scale, use Logarithmic to match the Android 9 brightness slider, default is Linear.

## Output variables

- Current automatic — variable to assign the current automatic adjustment setting.
- Current brightness — variable to assign the current brightness setting in percent.
- Current adjustment — variable to assign the current adjustment limit setting in signed percent. (Android 5)